[Initng-svn] r2350 - initng/fixes

svn at initng.thinktux.net svn at initng.thinktux.net
Tue Dec 6 02:44:24 CET 2005


Author: jimmy
Date: Tue Dec  6 02:44:24 2005
New Revision: 2350

Modified:
   initng/fixes/ifplugd.action
Log:
Remove gentoo specific.


Modified: initng/fixes/ifplugd.action
==============================================================================
--- initng/fixes/ifplugd.action	(original)
+++ initng/fixes/ifplugd.action	Tue Dec  6 02:44:24 2005
@@ -1,10 +1,4 @@
 #!/bin/sh
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/ifplugd/files/gentoo-ifplugd.action-v2,v 1.3 2004/07/15 00:43:53 agriffis Exp $
-#
-# Gentoo-specific ifplugd.action
-#
 # This file gets called by ifplugd when it wants to bring an interface
 # up or down.
 #
@@ -16,7 +10,7 @@
 			ngc -u net/$1
 			exit $?
 		fi
-		state=start
+		exit 1
 		;;
 	down)
 		cat /proc/1/cmdline | grep initng -q
@@ -24,7 +18,7 @@
 			ngc -d net/$1
 			exit $?
 		fi
-		state=stop
+		exit 1
 		;;
 	*)
 		echo "$0: wrong arguments"
@@ -32,12 +26,3 @@
 		exit 1
 		;;
 esac
-
-if [ -x /etc/init.d/net.$1 ]
-then
-	/etc/init.d/net.$1 --quiet $state
-	exit 0
-else
-	logger -t ifplugd.action "Error: Couldn't configure $1, no /etc/init.d/net.$1 script!"
-	exit 1
-fi


More information about the Initng-svn mailing list